Package org.apache.sling.scripting.sightly.impl.engine.extension.use

# Class ResourceUseProvider

java.lang.Object
org.apache.sling.scripting.sightly.impl.engine.extension.use.ResourceUseProvider

All Implemented Interfaces:
  `org.apache.sling.scripting.sightly.use.UseProvider`

public class ResourceUseProvider extends Object implements org.apache.sling.scripting.sightly.use.UseProvider

## Constructor Summary

Constructors
Constructor
Description
`ResourceUseProvider()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.scripting.sightly.use.ProviderOutcome`
`provide(String identifier, org.apache.sling.scripting.sightly.render.RenderContext renderContext, Bindings arguments)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceUseProvider

public ResourceUseProvider()

## Method Details

### provide

public org.apache.sling.scripting.sightly.use.ProviderOutcome provide(String identifier, org.apache.sling.scripting.sightly.render.RenderContext renderContext, Bindings arguments)

Specified by:
  `provide` in interface `org.apache.sling.scripting.sightly.use.UseProvider`